Bug 828056 - sugar-toolkit: remove dependency on python-cjson
sugar-toolkit: remove dependency on python-cjson
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sugar-toolkit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Simon Schampijer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 828052
  Show dependency treegraph
 
Reported: 2012-06-04 03:12 EDT by Felix Schwarz
Modified: 2012-09-24 06:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.97
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 06:02:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2012-06-04 03:12:07 EDT
sugar-toolkit depends cjson which is an obsolete, unmaintained JSON serializer/deserializer for Python. python-cjson is going to be removed from Fedora. Please replace cjson with another JSON library for Python, e.g. the built-in "json" module or "simplejson" and update your dependencies accordingly.
Comment 1 Peter Robinson 2012-06-06 05:28:30 EDT
Already on our todo list for the F-18 cycle, sure we already had bugs for this.
Comment 2 Peter Robinson 2012-09-24 06:02:02 EDT
Fixed in F-18+

Note You need to log in before you can comment on or make changes to this bug.